import { ViewContainerRef, OnInit, OnDestroy } from '@angular/core';
import { Cell } from '../../../lib/data-set/cell';
import { ViewCell } from '../../../lib/view-cell-interface';
import * as i0 from "@angular/core";
export declare class CustomViewComponent implements OnInit, OnDestroy {
    customComponent: any;
    cell: Cell;
    isExpanded: boolean;
    dynamicTarget: ViewContainerRef;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * This method render de template defined on table settings for custom template.
     */
    protected createCustomComponent(): void;
    /**
     * This method call the function defined on table settings for custom templates.
     */
    protected callOnComponentInit(): void;
    protected patchInstance(): void;
    protected getPatch(): ViewCell;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomViewComponent, "custom-view-component", never, { "cell": "cell"; "isExpanded": "isExpanded"; }, {}, never, never, false>;
}
